% ---------------------------------------------------------------------
% Program used to generate Fig 1i in the article
% "Binary Iterated Powers" by S.Sykora
% published in Stan's Library, Volume I, 2006
% URL: www.ebyte.it/library
% ---------------------------------------------------------------------
% Derivatives of vn(x)

clear;clc;clf;echo on;
x=linspace(0,5,1000);

nalfa = 200;

for m=0:nalfa 
alfa = 0.36787944+m*(0.54134133-0.36787944)/nalfa;
vn = exp(-alfa*exp(alfa*x));
vnder = alfa*alfa*exp(-alfa*exp(alfa*x)).*exp(alfa*x);
en = exp(alfa*x);
ender = alfa*exp(alfa*x);
plot(x,vnder,'-k','LineWidth',1);
hold on;

for n=2:100
    vn = exp(-alfa*exp(alfa*en));
    vnder = alfa*alfa*exp(-alfa*exp(alfa*en)).*exp(alfa*en).*ender;
    en = exp(alfa*en);
    ender = alfa*en.*ender;
    plot(x,vnder,'-k','LineWidth',1);
    hold on;
end
end

alfa = 0.54134133;
vn = exp(-alfa*exp(alfa*x));
vnder = alfa*alfa*exp(-alfa*exp(alfa*x)).*exp(alfa*x);
en = exp(alfa*x);
ender = alfa*exp(alfa*x);
plot(x,vnder,'-k','LineWidth',2);
hold on;

plot([1 1],[0.01 10],'-k','LineWidth',1);
plot(x,0.54134133,'-k','LineWidth',1);
plot(x,0.1986398,'-k','LineWidth',1);
hold on;

axis([0 5 0.01 10]);
set(gca,'yScale','log');
set(gca,'FontSize',14);
set(gca,'LineWidth',2);
set(gca,'TickLength',[.03 .03]);


