% ---------------------------------------------------------------------
% Program used to generate Fig 2 in the article
% "Binary Iterated Powers" by S.Sykora
% published in Stan's Library, Volume I, 2006
% URL: www.ebyte.it/library
% ---------------------------------------------------------------------

clear;clc;clf;echo on;
x=linspace(0,10,1000);

 alfa = 0.3;            % Fig 2a
%alfa = 0.36787944;     % Fig 2b
%alfa = 0.45;           % Fig 2c

plot(x,x,'-k','LineWidth',1);
hold on;

z = exp(alfa*x);
plot(x,z,'-k','LineWidth',2);
hold on;

axis([0 10 0 10]);
set(gca,'FontSize',14);
set(gca,'LineWidth',2);
set(gca,'TickLength',[.03 .03]);
set(gca,'xTick',[2 4 6 8]);
set(gca,'yTick',[2 4 6 8]);

