% ---------------------------------------------------------------------
% Program used to generate Fig 3 in the article
% "Binary Iterated Powers" by S.Sykora
% published in Stan's Library, Volume I, 2006
% URL: www.ebyte.it/library
% ---------------------------------------------------------------------
clear;clc;clf;echo on;
x=linspace(0,1,1000);

 alfa = 2;              % Fig 3a
%alfa = 2.718281828459; % Fig 3b
%alfa = 4;              % Fig 3c

z = exp(-alfa*exp(-alfa*x));
plot(x,z,'-k','LineWidth',2);
hold on;

zz = exp(-alfa*exp(-alfa*z));
plot(x,zz,'-k','LineWidth',1);
hold on;

zzz = exp(-alfa*exp(-alfa*zz));
plot(x,zzz,'-k','LineWidth',1);
hold on;

zzzz = exp(-alfa*exp(-alfa*zzz));
plot(x,zzzz,'-k','LineWidth',1);
hold on;

zzzzz = exp(-alfa*exp(-alfa*zzzz));
plot(x,zzzzz,'-k','LineWidth',1);
hold on;

zzzzzz = exp(-alfa*exp(-alfa*zzzzz));
plot(x,zzzzzz,'-k','LineWidth',1);
hold on;

zzzzzzz = exp(-alfa*exp(-alfa*zzzzzz));
plot(x,zzzzzzz,'-k','LineWidth',1);
hold on;

zzzzzzzz = exp(-alfa*exp(-alfa*zzzzzzz));
plot(x,zzzzzzzz,'-k','LineWidth',1);
hold on;

plot(x,x,'-k','LineWidth',1);
hold on;

axis([0 1 0 1]);
set(gca,'FontSize',11);
set(gca,'LineWidth',2);
set(gca,'yTick',[0.2 0.4 0.6 0.8]);

